%undefine __libtoolize
%define qtdir /usr/lib/qt3

%define with_kmtrace 1
%define unstable 0
%add_findprov_lib_path %_libdir/kde3

%define kdemenu %_datadir/applications/kde
%define applnk %_datadir/applnk
%define bapplnk %buildroot/%_datadir/applnk
%define bmenudir %buildroot/%_menudir
%define bkdemenu %buildroot/%_datadir/applications/kde
%define d2m kdedesktop2mdkmenu.pl


Name: kdesdk
Version: 3.3.2
Release: alt0.1.M24

Group: Development/KDE and QT
Summary: K Desktop Environment - Software Development Kit
Url: http://www.kde.org
License: GPL

Requires: %name-cervisia = %version-%release
Requires: %name-kapptemplate = %version-%release
Requires: %name-kbabel = %version-%release
Requires: %name-kbugbuster = %version-%release
Requires: %name-kcachegrind = %version-%release
Requires: %name-kfile = %version-%release
%if %with_kmtrace
Requires: %name-kmtrace = %version-%release
%endif
Requires: %name-kompare = %version-%release
Requires: %name-kspy = %version-%release
Requires: %name-kuiviewer = %version-%release
Requires: %name-misc = %version-%release
Requires: %name-umbrello = %version-%release

Source: kdesdk-%version.tar.bz2

Patch1: kdesdk-3.1-fix-conflict-with-lam.patch
Patch2: kdesdk-3.0.2-fix-kbugbuster-icon.patch
# ALT
Patch10: 3.2.0-flags.patch

# Automatically added by buildreq on Thu Mar 18 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs cvs flex fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel less libarts-devel libdb4.2-devel libiberty-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel perl-DBM python qt3-designer termutils xml-utils zlib-devel


BuildRequires: XFree86-devel XFree86-libs cvs fontconfig freetype2 gcc-c++
BuildRequires: kde-settings less libarts-devel libdb4-devel
BuildRequires: libiberty-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel
BuildRequires: perl-DBM python qt3-designer termutils xml-utils zlib-devel
BuildRequires: bison flex
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: kdelibs > 3.0.0 kdelibs-devel > 3.0.0

%description
Software Development Kit for the K Desktop Environment.

%package common
Summary: Common empty package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= 3.2
Requires: kdelibs >= %{get_version kdelibs}
Conflicts: kdesdk <= 3.0.1
#
%description common
Common empty package for %name

%package kuiviewer
Summary: Viewer for Qt Designer user interface files
Group: Development/KDE and QT
Requires: %name-common = %version-%release
#
%description kuiviewer
KUIViewer is a utility to display and test the user interface (.ui)
files generated by Qt Designer. The interfaces can be displayed
in a variety of different widget styles.
	      
%package kcachegrind
Summary: KDE Frontend for Cachegrind, part of Valgrind.
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: valgrind
Provides: kcachegrind = %version-%release
Obsoletes: kcachegrind
#
%description kcachegrind
KCachegrind is a KDE Frontend for Cachegrind, part of Valgrind.
	      
%package umbrello
Summary: UML Modeller
Group: Development/KDE and QT
Provides: umbrello = %version-%release
Obsoletes: umbrello
Requires: %name-common = %version-%release
#
%description umbrello
Umbrello UML Modeller helps the software development process
by using the industry standard Unified Modelling Language (UML) to enable
you to create diagrams for designing and documenting your systems.

%package cervisia
Summary: Graphical CVS client
Group: Development/KDE and QT
License: QPL
Provides: cervisia = %version-%release
Obsoletes: cervisia
Requires: cvs
Requires: %name-common = %version-%release
#
%description cervisia
Cervisia is a KDE graphical frontend for the the CVS client. It
features checking out a module from a repository, updating or
retrieving the status of a working directory or single files, common
operations like add, remove and commit, diff against the repository
and between different revisions, annotated view of a file, view of the
log messages in tree and list form as well as resolving of conflicts
in a file.

%package kbabel
Summary: Translator tools
Group: Development/KDE and QT
Obsoletes: kdesdk-devel
Requires: %name-common = %version-%release
#
%description kbabel
Translator tools.
kbabel includes a .po file editor, a catalog manager, message extraction
tools, and po file thumbnail views for Konqueror (the KDE file manager).

%package kbugbuster
Summary: KBugBuster - debugging tools
Group: Development/KDE and QT
Requires: %name-common = %version-%release
#
%description kbugbuster
Debugging tools

%package kapptemplate
Summary: Tool for creating a skeleton KDE application
Group: Development/KDE and QT
Requires: %name-common = %version-%release
#
%description kapptemplate
kapptemplate creates a skeleton KDE application (configure stuff, automake
stuff, etc.), allowing you to start writing the relevant code instead of
bothering with things that have already been done.

kapptemplate supports both standalone applications and plugins utilizing
KParts technology.

%package kfile
Summary: Kfile plugins
Group: Development/KDE and QT
Requires: %name-common = %version-%release
#
%description kfile
Plugin to allow the standard KDE file dialog to display
infirmation about .po .diff .cpp files

%package kmtrace
Summary: Malloc debugger for KDE
Group: Development/KDE and QT
Obsoletes: kdesdk-devel
Requires: %name-common = %version-%release
#
%description kmtrace
KMtrace is a malloc (memory allocation) debugger for KDE.

%package kompare
Summary: File comparison tool for KDE
Group: Development/KDE and QT
Obsoletes: kdiff
Requires: %name-common = %version-%release
#
%description kompare
A file comparison tool for KDE

%package kspy
Summary: Qt/KDE application state examination tool
Group: Development/KDE and QT
Obsoletes: kdesdk-devel
Requires: %name-common = %version-%release
#
%description kspy
KSpy is a utility intended to help developers examine the internal
state of a Qt/KDE application. KSpy graphically displays all the
QObjects in use, and allows you to browse their properties. Using KSpy
is very simple, include kspy.h and call KSpy::invoke() when you want
to looks inside your app. The KSpy function is inline and the main
part of KSpy is dynamically loaded, so you may even want to leave this
in the release build of an application.

%package misc
Summary: Misc utils for KDE development
Group: Development/KDE and QT
Provides: %name-gimp = %version-%release
Obsoletes: %name-gimp
Provides: %name-utils = %version-%release
Obsoletes: %name-utils
Obsoletes: kdesdk-devel
Requires: %name-common = %version-%release
#
%description misc
Misc utils for KDE development

%prep
%setup -q -n kdesdk-%version
mv $RPM_BUILD_DIR/kdesdk-%version/kmtrace/ktrace.h $RPM_BUILD_DIR/kdesdk-%version/kmtrace/kde-ktrace.h
%patch1 -p1
#%patch2 -p1
#
%patch10 -p1

subst "s/Wl,--no-undefined/-Wl,--warn-unresolved-symbols/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir"
%configure  \
%if %unstable
			--enable-debug=full \
%else
			--disable-debug \
%endif
	            --mandir=%_mandir \
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --program-transform-name="" \
                    --with-xinerama

%make_build

%install
%if %unstable
%set_strip_method none
%endif
export PATH=%_bindir:$PATH

%make_build \
    DESTDIR=%buildroot \
    prefix=%prefix \
    exec_prefix=%prefix \
install

ln -s ./kde3/libkomparepart.so %buildroot/%_libdir/libkomparepart.so

# Install stuff that doesn't get installed by make install
install -d -m 0755 %buildroot/%_datadir/kdepalettes
install -m 0644 \
    kdepalettes/KDE_Gimp \
    kdepalettes/kde_xpaintrc \
    README \
    %buildroot/%_datadir/kdepalettes

# Create LMDK menu structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/Development/
%d2m %name-kbabel Applications/Development/Tools %bkdemenu/kbabel.desktop %bmenudir/%name-kbabel
%d2m %name-kbabel Applications/Development/Tools %bkdemenu/kbabeldict.desktop %bmenudir/%name-kbabeldict
%d2m %name-kbabel Applications/Development/Tools %bkdemenu/catalogmanager.desktop %bmenudir/%name-catalogmanager
%d2m %name-cervisia Applications/Development/Tools %bkdemenu/cervisia.desktop %bmenudir/%name-cervisia
%d2m %name-kompare Applications/Development/Tools %bkdemenu/kompare.desktop %bmenudir/%name-kompare
%d2m %name-kbugbuster Applications/Development/Tools %bkdemenu/kbugbuster.desktop %bmenudir/%name-kbugbuster
%d2m %name-umbrello Applications/Development/Tools %bkdemenu/umbrello.desktop %bmenudir/%name-umbrello
%d2m %name-kuiviewer Applications/Development/Tools %bkdemenu/kuiviewer.desktop %bmenudir/%name-kuiviewer
%d2m %name-kcachegrind Applications/Development/Tools %bkdemenu/kcachegrind.desktop %bmenudir/%name-kcachegrind

# fix scripts for strong /usr/lib/rpm/find-requires
pushd %buildroot/%_bindir
for f in `file ./* | grep shell | awk -F: '{print $1}' | xargs grep -l ^=head`
do
    mv "$f" "$f.tmp"
    awk 'BEGIN{found=0;} /^=head/ {if (found==0){print "cat <<\\__EOF__";found=1;};} {print} END{if (found!=0) print "__EOF__";}' <"$f.tmp" >"$f"
    rm -f "$f.tmp"
    chmod a+x $f
done
popd

# (cd /home/zerg/RPM/TMP/kdesdk-buildroot/usr/bin; for f in *; do awk 'BEGIN{found=0;} /^=head/ {if (found==0){print "cat <<\\__EOF__";found=1;};} {print} END{if (found!=0) print "__EOF__";}' <"$f" >"$f.new" && cmp -s "$f" "$f.new" && mv -f "$f.new" "$f"
# grep -rl '^=head' /home/zerg/RPM/TMP/kdesdk-buildroot/usr/bin/


#########################################################
#
%define r_link %_docdir/HTML/en/cervisia/common

%pre cervisia
f=%r_link
if [ -d "$f" -a ! -L "$f" ]; then
	%__rm -rf "$f"
	/bin/touch "$f.RPMLOCK"
fi

%post cervisia
/sbin/ldconfig
%update_menus
f=%r_link
if [ -f "$f.RPMLOCK" -a -d "$f" -a ! -d "$f.RPMSAVE" ]; then
	%__mv "$f" "$f.RPMSAVE"
	%__rm -f "$f.RPMLOCK"
fi

%postun cervisia
/sbin/ldconfig
%clean_menus

%triggerpostun cervisia -- cervisia
f=%r_link
if [ -d "$f.RPMSAVE" -a ! -d "$f" ]; then
	%__mv "$f.RPMSAVE" "$f"
fi

%post kbabel
%post_ldconfig
%postun_ldconfig
%update_menus
%postun kbabel
%postun_ldconfig
%clean_menus

%post kbugbuster
%update_menus
%postun kbugbuster
%clean_menus

%post kmtrace
%post_ldconfig
%postun kmtrace
%postun_ldconfig

%post kompare
%post_ldconfig
%update_menus
%postun kompare
%postun_ldconfig
%clean_menus

%post kspy
%post_ldconfig
%postun kspy
%postun_ldconfig

%post kuiviewer
%post_ldconfig
%update_menus
%postun kuiviewer
%postun_ldconfig
%clean_menus

%post umbrello
%update_menus
%postun umbrello
%clean_menus

%post kcachegrind
%update_menus
%postun kcachegrind
%clean_menus


%files
%files common

%files kcachegrind
%_bindir/dprof2calltree
%_bindir/hotshot2calltree
%_bindir/memprof2calltree
%_bindir/op2calltree
%_bindir/pprof2calltree
#
%_bindir/kcachegrind
%_datadir/apps/kcachegrind
%doc %_docdir/HTML/en/kcachegrind
%_iconsdir/*/*/apps/kcachegrind.png
%_datadir/mimelnk/application/x-kcachegrind.desktop
%kdemenu/kcachegrind.desktop
%_menudir/%name-kcachegrind

%files kuiviewer
%_bindir/kuiviewer
%_libdir/kde3/libkuiviewerpart.*
%_libdir/kde3/quithumbnail.*
%_datadir/apps/kuiviewer
%_datadir/apps/kuiviewerpart
%_datadir/services/designerthumbnail.desktop
%_datadir/services/kuiviewer_part.desktop
%_iconsdir/*/*/apps/kuiviewer.png
%kdemenu/kuiviewer.desktop
%_menudir/%name-kuiviewer

%files umbrello
%_bindir/umbrello
%_datadir/apps/umbrello
%_iconsdir/*/*/*/umbrello*
%_datadir/mimelnk/application/x-umbrello.desktop
%doc %_docdir/HTML/en/umbrello
%kdemenu/umbrello.desktop
%_menudir/%name-umbrello

%files cervisia
%_bindir/cervisia
%_libdir/kde3/libcervisiapart.*
%_datadir/apps/cervisia
%_datadir/apps/cervisiapart
%_datadir/apps/kconf_update/cervisia.upd
%_datadir/apps/kconf_update/change_colors.pl
%_datadir/apps/kconf_update/move_repositories.pl
%_iconsdir/*/*/*/cervisia.png
%_iconsdir/*/*/actions/vcs_*.*
%doc %_docdir/HTML/en/cervisia
%doc %_man1dir/cervisia.*
%kdemenu/cervisia.desktop
%_menudir/%name-cervisia
#
%_bindir/cvsaskpass
%_bindir/cvsservice
%_libdir/libcvsservice.so*
%_datadir/services/cvsservice.desktop
%_includedir/cvsservice_stub.h
%_includedir/repository_stub.h
%_includedir/cvsjob_stub.h

%files kfile
%_libdir/kde3/kfile_*.*
%_datadir/services/kfile_*.desktop

%files kbabel
%_bindir/kbabel*
%_bindir/catalogmanager
%_libdir/libkbabel*
%_libdir/kde3/kbabel_*
%_libdir/kde3/kbabeldict_*
%_libdir/kde3/pothumbnail.*
%_includedir/kbabel
%_datadir/icons/*/*/*/kbabel*
%exclude %_datadir/icons/locolor/*/*/kbabel*
%_datadir/icons/*/*/*/catalogmanager*
#%_datadir/icons/*/*/*/gettext.png
%kdemenu/catalogmanager.desktop
%kdemenu/kbabel.desktop
%kdemenu/kbabeldict.desktop
%_datadir/apps/kconf_update/kbabel-project.upd
%_datadir/apps/kbabel
#%_datadir/apps/kbabeldict
%_datadir/apps/catalogmanager
#%_datadir/mimelnk/application/x-gettext.desktop
%_datadir/services/kbabel_*.desktop
%_datadir/services/pothumbnail.desktop
%_datadir/services/poauxiliary.desktop
%_datadir/services/pocompendium.desktop
%_datadir/services/tmxcompendium.desktop
%_datadir/services/dbsearchengine.desktop
%_datadir/servicetypes/kbabel*.desktop
%doc %_docdir/HTML/en/kbabel
# %doc %_docdir/HTML/en/ktranslator
%_menudir/%name-kbabel
%_menudir/%name-kbabeldict
%_menudir/%name-catalogmanager

%files kbugbuster
%_bindir/kbugbuster
#%_libdir/kde3/kcal_bugzilla.*
%_datadir/icons/*/*/*/kbugbuster.png
%_datadir/apps/kbugbuster
#%_datadir/services/kresources/kcal/bugzilla.desktop
%kdemenu/kbugbuster.desktop
%_menudir/%name-kbugbuster
%doc %_docdir/HTML/en/kbugbuster

%files kapptemplate
%_bindir/kapptemplate
%_datadir/apps/kapptemplate

%if %with_kmtrace
%files kmtrace
%_bindir/kmmatch
%_bindir/kmtrace
%_bindir/demangle
%_bindir/kminspector
%_libdir/libktrace*
%_datadir/apps/kmtrace
%_includedir/kde-ktrace.h
%endif

%files kompare
%_bindir/kompare
%_libdir/libkompareinterface.so*
%_libdir/libkomparepart*.so*
%_libdir/kde3/libdialogpages.*
%_libdir/kde3/libkomparepart*
%_libdir/kde3/libkomparenavtreepart*
%_datadir/services/kompare*
%_datadir/servicetypes/kompare*part.desktop
%_datadir/apps/kompare
#%_datadir/apps/komparepart
%_datadir/icons/*/*/*/kompare.*
%kdemenu/kompare.desktop
%_menudir/%name-kompare
%doc %_docdir/HTML/en/kompare

%files kspy
#%_bindir/testkspy
%_libdir/libkspy*
%_includedir/kspy.h

%files misc
%_libdir/kde3/kabcformat_kdeaccounts.*
%_libdir/kde3/plugins/styles/scheck.*
%_datadir/apps/kabc/formats/kdeaccountsplugin.desktop
%_datadir/apps/kstyle/themes/scheck.themerc
%_includedir/kprofilemethod.h
#
%_datadir/kdepalettes
#
%_bindir/adddebug
%_bindir/build-progress.sh
%_bindir/findmissingcrystal
%_bindir/fixkdeincludes
%_bindir/cheatmake
%_bindir/create_cvsignore
%_bindir/create_makefile
%_bindir/create_makefiles
#%_bindir/cvs2pack
%_bindir/cvs-clean
%_bindir/cvsbackport
%_bindir/cvsblame
%_bindir/cvscheck
%_bindir/cvslastchange
%_bindir/cvslastlog
%_bindir/cvsrevertlast
%_bindir/cvs2dist
%_bindir/cvsversion
%_bindir/cxxmetric
%_bindir/extend_dmalloc
%_bindir/extractrc
#%_bindir/fixsgml
#%_bindir/fixincludes
%_bindir/includemocs
%_bindir/fixuifiles
%_bindir/kde-build
%_bindir/kdedoc
%_bindir/kdekillall
%_bindir/kdelnk2desktop.py*
%_bindir/kdemangen.pl
%_bindir/licensecheck
%_bindir/makeobj
%_bindir/noncvslist
%_bindir/package_crystalsvg
%_bindir/png2mng.pl
%_bindir/po2xml
%_bindir/pruneemptydirs
%_bindir/qtdoc
%_bindir/split2po
%_bindir/swappo
%_bindir/transxx
%_bindir/xml2pot
%_bindir/zonetab2pot.*
%_man1dir/cvs*
%_man1dir/kde-build.*
%_man1dir/noncvslist.*
%_man1dir/includemocs.*

%changelog
* Wed Feb 08 2006 Grigory Batalov <bga@altlinux.ru> 3.3.2-alt0.1.M24
- kdelibs 3.3.2 requirement

* Wed Jan 05 2005 ZerG <zerg@altlinux.ru> 3.3.2-alt0.0.M24
- new version

* Thu Oct 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt1
- new version

* Tue Oct 05 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.0-alt1
- new version

* Mon Jun 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt1
- new version

* Wed May 19 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt3
- fix provides

* Fri May 14 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt2
- don't build kmtrace

* Mon Apr 12 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt1
- new version

* Thu Mar 18 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt1
- update code from KDE_3_2_BRANCH

* Fri Mar 05 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.0-alt1
- new version
- update code from KDE_3_2_BRANCH

* Thu Mar 04 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.0-alt1
- new version
- update code from KDE_3_2_BRANCH

* Fri Sep 19 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt1
- update code from cvs

* Thu Aug 21 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.3-alt1
- update code from cvs

* Thu Jul 03 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt2
- update code from cvs

* Fri May 30 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.2-alt1
- update from cvs KDE_3_1_BRANCH

* Tue May 06 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.1-alt2
- update from cvs KDE_3_1_BRANCH

* Tue Apr 01 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.1-alt1
- update from cvs KDE_3_1_BRANCH

* Wed Feb 05 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt3
- update from cvs

* Thu Jan 09 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt2
- update from cvs

* Thu Nov 28 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt1
- update from cvs

* Wed Nov 06 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.20.rc2
- rc2

* Fri Nov 01 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.20.rc1
- rc1
- increase %%release to easy check dependencies

* Fri Oct 18 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.2
- update code from cvs

* Wed Sep 11 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt2
- rebuild with gcc 3.2 && objprelink
- sync patches with cooker

* Tue Aug 20 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt1
- update from cvs

* Mon Aug 12 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.2-alt1
- new version
- split

* Mon Jun 17 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.1-alt1
- new version

* Wed May 15 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt3
- fix upgrade cervisia

* Mon Apr 29 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt2
- move to usr
- add  Obsoletes: kdiff  because we have kompare
- fix launch kompare

* Tue Apr 09 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt1
- build for ALT

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- Rc2

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
    now)

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Fri Nov 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
